<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Forum Useful Post Ratings
| Type: Infusion
| File: forum_useful_post_rating_panel_admin.php
| Version: 1.0
| Author and Developer: Ankur Thakur
| Site: http://ankurthakur.in
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("FUPR")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."forum_useful_post_rating_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."forum_useful_post_rating_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."forum_useful_post_rating_panel/locale/English.php"; 
}

// Manual Function to Check for New Version of Addon - Ankur Thakur
function version_checker($cur_version, $url, $addon_name)
{
	global $locale;
	if(ini_get('allow_url_fopen') == 1) {
	$version = 0;
	// Loading XML
	$xml = simplexml_load_file($url);
	foreach($xml->addon as $addon) {
		if($addon['name'] == $addon_name)
		{	$version = $addon['version'];
			$link = $addon->link;	}
	}
	if($cur_version < $version) {
		echo "\n<div align='center' style='padding: 5px; border: 1px solid #000;'><a href='".$link."' target='_blank'><font color='#ff0000'><b>* ".$addon_name.$locale['ds_author1'].$version.$locale['ds_author2']."</b></font></a></div><br />\n";
	}
	else {
		echo "<div align='center' style='padding: 5px; border: 1px solid #000;'><b><font color='#ff0000'>".$locale['ds_no_updates']."</font></b></div><br />";
		}
	}
}

include INFUSIONS."forum_useful_post_rating_panel/infusion_db.php";

// Version Checker
if (isset($_GET['checkupdate']) && isnum($_GET['checkupdate']) && $_GET['checkupdate'] == 1) {
version_checker(1.0, 'http://ankurthakur.in/infusions/dev_showcase/addons.xml', $locale['fupr_title']);
}

// Saving Settings
if (isset($_POST['save_settings']) && isset($_POST['fupr_enable']) && isset($_POST['fupr_que']))
{
	$result1 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['fupr_enable'])."' WHERE settings_name='fupr_enabled'");
	$result2 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['fupr_que'])."' WHERE settings_name='fupr_que'");
	if (!$result1 || !$result2) { redirect(FUSION_SELF.$aidlink."&error=1"); }	else {	redirect(FUSION_SELF.$aidlink."&error=0");	}
}

// Title goes Here
opentable($locale['fupr_title']." - ".$locale['400']);

// Database Settings
$fuprsettings = dbarray(dbquery("SELECT settings_value FROM ".DB_SETTINGS_INF." WHERE settings_name='fupr_enabled'"),0);
$texttodisplay = dbarray(dbquery("SELECT settings_value FROM ".DB_SETTINGS_INF." WHERE settings_name='fupr_que'"),0);

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

		// Settings Form
		echo "<form name='settings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' align='center' style='padding: 5px;'>\n";
		// Enabled or Not ?
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['fupr_form_01']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='fupr_enable' class='textbox'>\n";
		echo "<option value='0'".($fuprsettings['settings_value'] == "0" ? " selected='selected'" : "").">".$locale['fupr_form_02']."</option>\n";
		echo "<option value='1'".($fuprsettings['settings_value'] == "1" ? " selected='selected'" : "").">".$locale['fupr_form_03']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Text to Display
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['fupr_form_01a']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'><input type='text' value='".$texttodisplay['settings_value']."' name='fupr_que' maxlength='100' size='50' /></td>";
		echo "</tr>\n";
		// Buttons
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'><input type='submit' name='save_settings' value='".$locale['fupr_form_04']."' class='button' /></td>\n";
		echo "</tr>\n";
		echo "</table>\n</form>\n";

closetable();

opentable($locale['fupr_title_stats']);

	// Retrieving Settings
	$result = dbquery("SELECT f.post_id, COUNT(DISTINCT f.user_id) AS numofpost, p.post_author, p.thread_id, p.post_id AS postid, p.post_message, u.user_id, u.user_name, u.user_avatar FROM ".DB_FORUM_USEFUL_RATINGS." f LEFT JOIN ".DB_POSTS." p ON f.post_id=p.post_id LEFT JOIN ".DB_USERS." u ON p.post_author=u.user_id GROUP BY user_id ORDER BY numofpost DESC LIMIT 10");

	echo "<table cellpadding='0' cellspacing='0' align='center' width='50%' style='text-align: center; padding: 5px; border: 1px solid #000;'>\n";
	echo "<tr>\n";
	echo "<td style='color: #fff; background-color: #000;'>".$locale['fupr_tbl_01']."</td>\n";
	echo "<td style='color: #fff; background-color: #000;'>".$locale['fupr_tbl_02']."</td>\n";
	echo "<td style='color: #fff; background-color: #000;'>".$locale['fupr_tbl_03']."</td>\n";
	echo "</tr>\n";
	
   while ($data = dbarray($result))
  	{
  		echo "<tr>\n";
		echo "<td><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."&amp;pid=".$data['postid']."#post_".$data['postid']."'>".trimlink($data['post_message'],50)."</a></td>\n";
		echo "<td>".$data['numofpost']."</td>\n";
		echo "<td><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>";
		if ($data['user_avatar'] == "" || !file_exists(IMAGES."avatars/".$data['user_avatar'])) {
			echo "<img src='".IMAGES."avatars/noavatar50.png' alt='".$data['user_name']."' />";
		}
		else {
			echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' height='50' alt='".$data['user_name']."' border='0' />";
			}
		echo "<br />".$data['user_name']."</a></td>\n";
		echo "</tr>\n";
   }
   
   echo "</table>\n";

// Author Copyright - Do Not Remove
echo "<hr /><br /><p align='center' style='font-weight: bold;'>\n";
echo "<a href='".FUSION_SELF.$aidlink."&amp;checkupdate=1'>".$locale['ds_check_update']."</a> | <a href='http://ankurthakur.in/' target='_blank'>".$locale['ds_authorsite']."</a>";
echo "</p>\n";

closetable();
require_once THEMES."templates/footer.php";
?>